import { CdmCorpusContext, CdmTraitCollection, CdmTraitReference, CdmTraitReferenceBase } from '../../internal';
import { CsvFormatSettings, MetadataObject } from './types';
export declare const ignoredTraits: Set<string>;
export declare const modelJsonPropertyTraits: Set<string>;
export declare const partitionSettingsSupportedArguments: Set<string>;
export declare function shouldAnnotationGoIntoASingleTrait(name: string): boolean;
export declare function convertAnnotationToTrait(name: string): string;
export declare function convertTraitToAnnotation(name: string): string;
export declare function shouldPersistTrait(traitBase: CdmTraitReferenceBase): boolean;
export declare function createCsvTrait(object: CsvFormatSettings, ctx: CdmCorpusContext, host: CdmTraitReference): CdmTraitReference;
export declare function createCsvFormatSettings(csvFormatTrait: CdmTraitReference): CsvFormatSettings;
export declare function processAnnotationsFromData(ctx: CdmCorpusContext, object: MetadataObject, traits: CdmTraitCollection): Promise<void>;
export declare function processTraitsAndAnnotationsToData(ctx: CdmCorpusContext, entityObject: MetadataObject, traits: CdmTraitCollection): Promise<void>;
